Bug 426907 - RFE: Abillity to remove unwanted partition icons from gnome desktop
RFE: Abillity to remove unwanted partition icons from gnome desktop
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
All Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2007-12-28 05:15 EST by Valent Turkovic
Modified: 2013-01-13 07:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:38:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Valent Turkovic 2007-12-28 05:15:41 EST
Description of problem:
I have Fedora 8 and on the gnome desktop I see some icons from my partitions
that I don't wan't on my gnome desktop.

I don't have a problem with having my storage partition on my desktop but I also
have also 4 other linux distos on my laptop and I see all of their system
partitions on my desktop!

I know that there is a way to disable ALL partition shortcuts but then I
wouldn't see my usb drives on desktop when I plug in usb flash drives and I
don't want that.

So how do I remove only the shortcuts I don't want from my desktop?

I saw an Ubuntu (which obviously also uses Gnome) trick which doesn't work on
fedora On ubuntu only drives that are in /media are shown on the gnome desktop.
I edited /etc/fstab so that partitions I don't want on desktop are mounted in
/mnt - that worked on my Ubuntu but it didn't work in Fedora 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Valent Turkovic 2007-12-28 08:51:03 EST
I found a forum post that is relevant:
Comment 2 Valent Turkovic 2007-12-28 08:59:47 EST
Now the correct link :)
Comment 3 Jef Spaleta 2007-12-29 18:41:31 EST
Explain to me exactly what you want Fedora to do about this that should not be
handled as part of Gnome upstream?

Are you looking for per-user Gnome UI to allow individual users to hide
partitions?  If so this is something you probably need to take to upstream Gnome.

Are you looking to make hal aware of /etc/fstab entries and automatically ignore
them for all users?  The previously provided hal policy which hid ALL local
volumes was a hack, and its not clear that its appropriate as a default.

You may want to have a discussion with the Hal developers concerning where
PolicyKit fits into this in the future.  Gnome ships Hal layer what things are
mountable by the user.  If Hal says its not mountable, then the Gnome desktop
doesn't show it.  The plan maybe to make it so PolicyKit is used in that
discussion.  You might want to refile against hal or search the open hal tickets
for existing discussions.  What to do with internal partitions has been a
contentious issue since the introduction of hal policy.

This article would indicate that PolicyKit is indeed the way forward on creating
per-user policy concerning device access... including mountable partitions.

You should probably concentrate on understanding what the plans are for
PolicyKit integration in Gnome 2.22 and thus Fedora 9
Comment 4 Kevin Kofler 2007-12-29 18:45:36 EST
I still think hiding all non-removable media was the right thing to do, fixed 
partitions are what /etc/fstab is for!
Comment 5 Callum Lerwick 2007-12-29 19:04:46 EST
Isn't the whole point of unix style mounts is the filesystem is seamless and
abstract? Applications, and by extension the user, normally do not have to know
or care what which physical filesystem they're dealing with.

Showing icons for static mounts completely breaks this whole idea of filesystem
abstraction. If the user happens to care, they can create
shortcuts/symlinks/bookmarks on their desktop just like they can any other
directory. Static mounts should not and need not be treated special.

"static mounts" being mounts in /etc/fstab that the user has no control over anyway.
Comment 6 Jef Spaleta 2007-12-29 19:43:00 EST
There are several different issues... none of which should be filed against
gnome-desktop in a fedora ticket.  I'm not closing this yet, because I want to
make it clear to everyone what the different issues are and what you should
probably do to have the issue seen by the 'right' people.

1) If you want things in fstab explicitly ignored by hal as default policy, then
file a new bug against hal and open a thread in -devel-list. Since this is a
default policy definition issue, this is probably worth another
discussion..again...now that the 99-redhat-storage-policy-fixed-drives.fdi file
was finally removed in F8.  Finding the exactly logic that Ubuntu uses to do
this(hal policy file? some sort of helper shell script?) as an implementation
example to look over in the -devel-list discussion would probably help.

the 99-redhat file made this issue moot by hiding all fixed partitions.
With it gone, there maybe an opening to convince the hal developers to introduce
fstab parsing logic to hide defined system partitions as a more sophisticated
targetted approach to replace whatthe 99-redhat file use to do.

2) Hal already has explicit ignores for specific types of
partitions on a case by case basis. look at 20-storage-methods.fdi .
Specifically hidden recovery partitions that user's shouldn't care about. These
are the sort of partitions that won't be typically defined in an fstab (for
example using livecd in a laptop) and serve no useful purpose as a mountable
filesystem since they contain no user data.  If there are still unwanted
recovery partitions showing up in user installs, we might need to have a
-devel-list dicussion on how to better populate that explicit list.  

3) Other fixed partitions which are not defined in fstab.   This is an extremely
common case for something like the Desktop Livecd usage. You can't rely on
pre-existing fstab, and hiding the internal disk by default could hamper 'just
works' access to user data sitting on the harddrive (fat or ntfs partition would
be common here).

4) Gnome UI to actually hide individual mount points on the nautilus controlled
desktop icons on a per-user basis. That is a discussion for gnome upstream and
is orthogonal to a discussion concerning default hal policy regarding fixed disks.  

Comment 7 Valent Turkovic 2008-01-21 05:14:50 EST
Thank you Jef for a really informative answer it is really helpful. I posted
this RFE to Fedora bugzilla because I am a Fedora user.

I can get involved with this issue and try to prod gnome and hal developers to
discuss it and find best solution.

Coming from my point of view as a user this looks like wrong way of doing
things. It is not that I don't want to be involved but because I lack the
knowledge of inner workings of fedora and general linux distros.

If you haven't told me about 20-storage-methods.fdi I wouldn't know exactly
where to look. I have some basic knowledge about hal but that is it. I love
getting involved and learning new things in linux but my work and other
commitment (running a NGO, LUG and nunicipal wireless project) don't give me
time needed to get to know in detail all the inner workings of linux and it's
sub systems.

I also believe that there lots of other users that don't know anything about how
linux and fedora work but that also have some suggestion about how to make
Fedora and general linux experience better for them (and problaly other people
also). I believe that they wouldn't go beyond posting to mailing list or maybe,
maybe to bugzilla. 

I know that this is not up to you, but is there somebody that ordinary users
could go and ask for their issues to be looked at and then decided if there is a
case for it to be dealt with. When I mean dealt with I mean that that person
then contacts the ones responsible for the issue at hand.

You have a really informative response and I can work with that and contact hal
and gnome developers and see how to fix this issue, but what I suggest is that
with slight different approach and different organization effort much more of
such issues would be dealt in faster way and things would go forward faster.

I don't in detail how fedora is organized, but I guess that one volonteer or one
redhat developer working part time on such issues would make a huge difference.

Thank you once more Jef, I'm off to bug hal and gnome developers :)
Comment 8 John Poelstra 2008-10-17 18:12:58 EDT
Should this bug remain open and if so which version of Fedora?
Comment 9 Luis Felipe Marzagao 2008-10-17 21:01:14 EDT
(In reply to comment #8)
> Should this bug remain open and if so which version of Fedora?

I think it should. I'm on F9 here and I don't know exactly when, I think after using gparted, icons from all of my partitions started showing on my desktop.
Comment 10 Bug Zapper 2008-11-26 04:11:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 11 Bug Zapper 2009-01-09 00:38:27 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 Valent Turkovic 2009-01-14 19:16:32 EST
This is a issue also for Fedora 10
Comment 13 Luis Felipe Marzagao 2009-01-14 19:42:53 EST
I don't think this is an issue for Fedora 10. All you got to do is revoke the "auto mount" feature in the policy tool and then none of the partitions will be auto monted.
Comment 14 Rui Matos 2009-01-14 19:51:00 EST
(In reply to comment #13)
> I don't think this is an issue for Fedora 10. All you got to do is revoke the
> "auto mount" feature in the policy tool and then none of the partitions will be
> auto monted.

It would be nice to be able to have just *some* partitions automounted though. Currently it's an all or nothing situation.

Maybe DeviceKit will allow it?
Comment 15 Valent Turkovic 2009-01-27 13:46:15 EST
Keeping fingers crossed for DeviceKit? Should we ask for this feature as a separate "bug" or reopen this one?

Note You need to log in before you can comment on or make changes to this bug.